# XQilla Simple API Documentation

# XQillaConfiguration Class Reference

`#include <XQillaConfiguration.hpp>`

Inheritance diagram for XQillaConfiguration:
[legend]

List of all members.

## Public Member Functions

virtual | ~XQillaConfiguration ()
virtual DocumentCache * | createDocumentCache (xercesc::MemoryManager *memMgr)=0
virtual SequenceBuilder * | createSequenceBuilder (const DynamicContext *context)=0
virtual ItemFactory * | createItemFactory (DocumentCache *cache, xercesc::MemoryManager *memMgr)=0
virtual UpdateFactory * | createUpdateFactory (xercesc::MemoryManager *memMgr)=0
virtual URIResolver * | createDefaultURIResolver (xercesc::MemoryManager *memMgr)=0
virtual ASTToXML * | createASTToXML ()=0
virtual void | populateStaticContext (StaticContext *context)
virtual void | populateDynamicContext (DynamicContext *context)
virtual void | testInterrupt ()

## Constructor & Destructor Documentation

virtual XQillaConfiguration::~XQillaConfiguration | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ASTToXML* XQillaConfiguration::createASTToXML | ( |  | ) | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual URIResolver* XQillaConfiguration::createDefaultURIResolver | ( | xercesc::MemoryManager * | memMgr | ) | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual DocumentCache* XQillaConfiguration::createDocumentCache | ( | xercesc::MemoryManager * | memMgr | ) | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual ItemFactory* XQillaConfiguration::createItemFactory | ( | DocumentCache * | cache,
|  | xercesc::MemoryManager * | memMgr |
| ) |  |  | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual SequenceBuilder* XQillaConfiguration::createSequenceBuilder | ( | const DynamicContext * | context | ) | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual UpdateFactory* XQillaConfiguration::createUpdateFactory | ( | xercesc::MemoryManager * | memMgr | ) | `[pure virtual]`

Implemented in FastXDMConfiguration, and XercesConfiguration.

virtual void XQillaConfiguration::populateDynamicContext | ( | DynamicContext * | context | ) | `[inline, virtual]`

virtual void XQillaConfiguration::populateStaticContext | ( | StaticContext * | context | ) | `[inline, virtual]`

virtual void XQillaConfiguration::testInterrupt | ( |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- XQillaConfiguration.hpp